@import '../../../../styles.scss';

.main {
  display: flex;
  flex-wrap: nowrap;
  height: 100vh;
  max-width: 292px;

  &__menu-header {
    width: 292px;
    height: 61px;
    margin: 0 0 20px;
    padding: 18px 20px;
    background-color: #678cab;
    display: flex;
    justify-content: space-between;
  }

  &__dropdown {
    width: 292px;
    height: 50px;
    margin: 0 0 42px;
    padding: 0 0 20px;
    background-color: #f1fdff;

    &__userImg {
      width: 50px;
      height: 50px;
      margin: 5px 10px 0 20px;
      border-radius: 50%;
    }

    &__username {
      width: 77px;
      height: 21px;
      margin: 34px 12px 15px 10px;
      font-family: Roboto;
      font-size: 18px;
      font-weight: normal;
      font-stretch: normal;
      font-style: normal;
      line-height: normal;
      letter-spacing: normal;
      color: #363636;
    }

  }

  &__navLinks {
    li {

      margin-bottom: 26px;
     }
    a{
      text-decoration: none;
    }

    &__groupLi{

        margin-block: auto;
        margin-bottom: 0 !important;

    }
    &__sublinks{

      ul>li {

        text-decoration: none;
        list-style-type:none;
        margin-top: 19px;
        margin-left: 21px;

      }
    }
    &__pageIcon {
      width: 21px;
      height: 19px;
      margin: -6px 20px 1px 0;
      object-fit: contain;
    }

    &__pageName {
      width: 49px;
      height: 21px;
      margin: 0 0 0 20px;
      font-family: Roboto;
      font-size: 18px;
      font-weight: normal;
      font-stretch: normal;
      font-style: normal;
      line-height: normal;
      letter-spacing: normal;
      color: #363636;
    }
  }


}

.sidebar {
  overflow-x: hidden;
  overflow-y: auto;
  height: 100%;
  // @include breakpoint(sm) {
  //   display: none;
  // }

}

.content {
  @include breakpoint(sm) {
    display: flex;
    justify-content: center;
    align-items: center;
  }
}

.nav-link {
  padding: 0.5rem 1rem;
}




.dropdown-toggle {
  outline: 0;
}

.nav-link {
  border-radius: 0;
}

a {
  cursor: pointer;
}

a .active {
  color: #fff !important;
  background-color: #0d6efd;
}

.active {
  color: #fff !important;
  background-color: #0d6efd;
}
